net.sf.okapi.lib.xliff2.core

## Enum ExtChildType

- java.lang.Object
- - java.lang.Enum<ExtChildType>
  - - net.sf.okapi.lib.xliff2.core.ExtChildType

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<ExtChildType>

      public enum ExtChildType
      extends java.lang.Enum<ExtChildType>

  Possible types child in an extension element: `ELEMENT`, `CDATA`, `TEXT` or `PI`.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `CDATA` Content in CDATA format.
    `ELEMENT` Element.
    `PI` Processing Instruction.
    `TEXT` Content in normal format.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static ExtChildType` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static ExtChildType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### ELEMENT

          public static final ExtChildType ELEMENT

      Element.

    - #### CDATA

          public static final ExtChildType CDATA

      Content in CDATA format.

    - #### TEXT

          public static final ExtChildType TEXT

      Content in normal format.

    - #### PI

          public static final ExtChildType PI

      Processing Instruction.

  - ### Method Detail

    - #### values

          public static ExtChildType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (ExtChildType c : ExtChildType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static ExtChildType valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null